## kcolorpicker 0.1.5~git20201226

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(kColorPicker LANGUAGES CXX VERSION 0.1.5)

set(QT_MIN_VERSION "5.9.4")

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

option(BUILD_TESTS "Build Unit Tests" OFF)
option(BUILD_EXAMPLE "Build Example Application" ON)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED Widgets)

include(GNUInstallDirs)
include(FeatureSummary)

add_subdirectory(src)

if (BUILD_EXAMPLE)
    add_subdirectory(example)
endif (BUILD_EXAMPLE)

if (BUILD_TESTS)
    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED Test)
    enable_testing()
    add_subdirectory(tests)
endif (BUILD_TESTS)

include(CMakePackageConfigHelpers)

add_library(kColorPicker
			${KCOLORPICKER_SRCS}
			${CMAKE_CURRENT_SOURCE_DIR}/include/kColorPicker/KColorPicker.h
			${CMAKE_CURRENT_SOURCE_DIR}/icons/kColorPicker_icons.qrc
			)

add_library(kColorPicker::kColorPicker ALIAS kColorPicker)

target_include_directories(kColorPicker
						   PUBLIC
						   $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
						   $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
						   $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
						   )

target_link_libraries(kColorPicker PUBLIC Qt5::Widgets)

target_compile_definitions(kColorPicker PRIVATE KIMAGEANNOTATOR_LIB)

set_target_properties(kColorPicker
					  PROPERTIES
					  ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib
					  LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib
					  RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin
		 			  VERSION ${PROJECT_VERSION}
					  SOVERSION 0
					  )

install(TARGETS kColorPicker
		EXPORT kColorPicker-targets
		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
		)

install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/include/kColorPicker
		DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
		)

configure_package_config_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/kColorPickerConfig.cmake.in
                              ${CMAKE_CURRENT_BINARY_DIR}/cmake/kColorPickerConfig.cmake
                              INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/kColorPicker
                              )

write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/cmake/kColorPickerConfig-version.cmake
                                 VERSION ${PROJECT_VERSION}
                                 COMPATIBILITY AnyNewerVersion
                                 )

install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/cmake/kColorPickerConfig.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/cmake/kColorPickerConfig-version.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/kColorPicker
        )


export(EXPORT kColorPicker-targets
       FILE ${CMAKE_CURRENT_BINARY_DIR}/cmake/kColorPicker-targets.cmake
       NAMESPACE kColorPicker::
       )

install(EXPORT kColorPicker-targets
        FILE kColorPicker-targets.cmake
        NAMESPACE kColorPicker::
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/kColorPicker
        )
        
# uninstall target
if(NOT TARGET uninstall)
    configure_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
        "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
        IMMEDIATE @ONLY)

    add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

=== src/CMakeLists.txt ===
set(KCOLORPICKER_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/KColorPicker.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/PopupMenu.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/IconCreator.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/buttons/AbstractPopupMenuButton.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/buttons/ColorButton.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/buttons/ColorDialogButton.cpp
        )

set(KCOLORPICKER_SRCS ${KCOLORPICKER_SRCS} PARENT_SCOPE)

## kcolorpicker 0.1.4

=== debian/changelog ===
kcolorpicker (0.1.4-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 26 Dec 2020 15:56:43 -0800

kcolorpicker (0.1.4-2) unstable; urgency=low

  * Bump Standards-Version to 4.5.1.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Boyuan Yang <byang@debian.org>  Thu, 17 Dec 2020 14:46:39 -0500

kcolorpicker (0.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Jun 2020 11:01:07 -0400

kcolorpicker (0.1.1-3) unstable; urgency=high

  * debian/control: Add missing build-dependency from dev package
    to library package.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Apr 2020 14:48:13 -0400

kcolorpicker (0.1.1-2) unstable; urgency=medium

  * Source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Apr 2020 14:06:21 -0400

kcolorpicker (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #955296)

 -- Boyuan Yang <byang@debian.org>  Sun, 29 Mar 2020 10:08:44 -0400

=== debian/control ===
Source: kcolorpicker
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends: cmake (>= 3.5),
               debhelper-compat (= 12),
               qtbase5-dev
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/ksnip/kcolorpicker
Vcs-Git: https://salsa.debian.org/debian/kcolorpicker.git
Vcs-Browser: https://salsa.debian.org/debian/kcolorpicker

Package: libkcolorpicker-dev
Architecture: any
Multi-Arch: same
Depends: libkcolorpicker0 (= ${binary:Version}), ${misc:Depends}
Conflicts: libkcolorpicker
Description: QToolButton-like widget with color selection popup menu (dev)
 The kColorPicker library provides a QToolButton-like widget with color
 selection popup menu. This library is used by the ksnip project.
 .
 This package provides the development files.

Package: libkcolorpicker0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkcolorpicker
Replaces: libkcolorpicker
Description: QToolButton-like widget with color selection popup menu (lib)
 The kColorPicker library provides a QToolButton-like widget with color
 selection popup menu. This library is used by the ksnip project.
 .
 This package provides the shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT := 5


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	        -DBUILD_SHARED_LIBS=ON

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## kcolorpicker 0.1.5~git20201226

=== debian/changelog ===
kcolorpicker (0.1.5~git20201226-1) unstable; urgency=medium

  * Upstream git trunk version (2020-12-26).
    + Contains unified SONAME.
  * debian/libkcolorpicker0.shlibs: Add a shlibs file.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Dec 2020 21:35:51 -0500

=== debian/control ===
Source: kcolorpicker
Section: libs
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake (>= 3.5),
 qtbase5-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/ksnip/kcolorpicker
Vcs-Git: https://salsa.debian.org/debian/kcolorpicker.git
Vcs-Browser: https://salsa.debian.org/debian/kcolorpicker

Package: libkcolorpicker-dev
Architecture: any
Multi-Arch: same
Depends:
 libkcolorpicker0 (= ${binary:Version}),
 ${misc:Depends},
Description: QToolButton-like widget with color selection popup menu (dev)
 The kColorPicker library provides a QToolButton-like widget with color
 selection popup menu. This library is used by the ksnip project.
 .
 This package provides the development files.

Package: libkcolorpicker0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: QToolButton-like widget with color selection popup menu (lib)
 The kColorPicker library provides a QToolButton-like widget with color
 selection popup menu. This library is used by the ksnip project.
 .
 This package provides the shared library.

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,3 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	        -DBUILD_SHARED_LIBS=ON
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%kcolorpicker-$1.tar.gz%" \
 https://github.com/ksnip/kcolorpicker/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## kcolorpicker 0.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(kColorPicker LANGUAGES CXX VERSION 0.1.5)
+project(kColorPicker LANGUAGES CXX VERSION 0.1.6)
 
 set(QT_MIN_VERSION "5.9.4")
 
@@ -17,6 +17,8 @@
 
 include(GNUInstallDirs)
 include(FeatureSummary)
+
+include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
 add_subdirectory(src)

=== tests/CMakeLists.txt ===
set(UNITTEST_SRC
        buttons/ColorButtonTest.cpp
        )

add_library(KCOLORPICKER_STATIC STATIC ${KCOLORPICKER_SRCS})

target_link_libraries(KCOLORPICKER_STATIC Qt5::Widgets kColorPicker)

foreach (UnitTest ${UNITTEST_SRC})
    get_filename_component(UnitTestName ${UnitTest} NAME_WE)
    add_executable(${UnitTestName} ${UnitTest})
    target_link_libraries(${UnitTestName} KCOLORPICKER_STATIC Qt5::Test)
    add_test(${UnitTestName} ${UnitTestName})
endforeach (UnitTest)

=== debian/changelog ===
kcolorpicker (0.1.6-2) unstable; urgency=medium

  * debian/watch: Fix uscan grammar.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Nov 2021 08:31:00 -0500

kcolorpicker (0.1.6-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Aug 2021 14:21:22 -0400

kcolorpicker (0.1.6-1~exp1) experimental; urgency=medium

  * New upstream stable release.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Aug 2021 11:45:32 -0400

kcolorpicker (0.1.5-1~exp1) experimental; urgency=medium

  * New upstream stable release.
  * debian/rules: Remove --as-needed linker flag, no longer needed.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Mar 2021 09:49:51 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- cmake (>= 3.5),
+ cmake,
  qtbase5-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.5.1

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # package maintainers to append CFLAGS
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND =
 
 export QT_SELECT := 5

## kcolorpicker 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(kColorPicker LANGUAGES CXX VERSION 0.1.6)
+project(kColorPicker LANGUAGES CXX VERSION 0.2.0)
 
 set(QT_MIN_VERSION "5.9.4")

=== example/CMakeLists.txt ===
add_executable(kColorPicker-example main.cpp)

target_link_libraries(kColorPicker-example kColorPicker)

=== debian/changelog ===
kcolorpicker (0.2.0-1~bpo11+1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 08 Jan 2024 14:20:18 -0800

kcolorpicker (0.2.0-1~bpo11+1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 08 Jan 2024 14:15:43 -0800

kcolorpicker (0.2.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jun 2022 18:09:13 -0400

kcolorpicker (0.2.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Thu, 26 May 2022 00:00:03 -0400

kcolorpicker (0.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/libkcolorpicker0.shlibs: Tighten version requirement.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 May 2022 15:54:36 -0400

kcolorpicker (0.1.6-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Nov 2021 09:49:36 -0500

kcolorpicker (0.1.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Aug 2021 08:58:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kcolorpicker
 Section: libs
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
- cmake,
  qtbase5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/ksnip/kcolorpicker
 Vcs-Git: https://salsa.debian.org/debian/kcolorpicker.git
 Vcs-Browser: https://salsa.debian.org/debian/kcolorpicker

=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	        -DBUILD_SHARED_LIBS=ON
+	        -DBUILD_SHARED_LIBS=ON \
+	        $(NULL)
+
+override_dh_strip:
+	dh_strip -a --no-automatic-dbgsym

## kcolorpicker 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(kColorPicker LANGUAGES CXX VERSION 0.3.1)

set(QT_MIN_VERSION 5.15.2)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

option(BUILD_TESTS "Build Unit Tests" OFF)
option(BUILD_EXAMPLE "Build Example Application" ON)

option(BUILD_WITH_QT6 "Build with Qt6" OFF)
if(BUILD_WITH_QT6)
    set(QT_MAJOR_VERSION 6)
else()
    set(QT_MAJOR_VERSION 5)
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED Widgets)

include(GNUInstallDirs)
include(FeatureSummary)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory(src)

if (BUILD_EXAMPLE)
    add_subdirectory(example)
endif (BUILD_EXAMPLE)

if (BUILD_TESTS)
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED Test)
    enable_testing()
    add_subdirectory(tests)
endif (BUILD_TESTS)

include(CMakePackageConfigHelpers)

add_library(kColorPicker
			${KCOLORPICKER_SRCS}
			${CMAKE_CURRENT_SOURCE_DIR}/include/kColorPicker/KColorPicker.h
			${CMAKE_CURRENT_SOURCE_DIR}/icons/kColorPicker_icons.qrc
			)

target_include_directories(kColorPicker
						   PUBLIC
						   $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
						   $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
						   $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/kColorPicker-Qt${QT_MAJOR_VERSION}>
						   )

target_link_libraries(kColorPicker PUBLIC Qt${QT_MAJOR_VERSION}::Widgets)

target_compile_definitions(kColorPicker PRIVATE KIMAGEANNOTATOR_LIB)

set_target_properties(kColorPicker
					  PROPERTIES
					  ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib
					  LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib
					  RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin
		 			  VERSION ${PROJECT_VERSION}
					  SOVERSION 0
					  )

install(TARGETS kColorPicker
		EXPORT kColorPicker-targets
		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
		)

install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/include/kColorPicker
		DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/kColorPicker-Qt${QT_MAJOR_VERSION}
		)

configure_package_config_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/kColorPickerConfig.cmake.in
                              ${CMAKE_CURRENT_BINARY_DIR}/cmake/kColorPicker-Qt${QT_MAJOR_VERSION}Config.cmake
                              INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/kColorPicker-Qt${QT_MAJOR_VERSION}
                              )

write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/cmake/kColorPicker-Qt${QT_MAJOR_VERSION}Config-version.cmake
                                 VERSION ${PROJECT_VERSION}
                                 COMPATIBILITY AnyNewerVersion
                                 )

install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/cmake/kColorPicker-Qt${QT_MAJOR_VERSION}Config.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/cmake/kColorPicker-Qt${QT_MAJOR_VERSION}Config-version.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/kColorPicker-Qt${QT_MAJOR_VERSION}
        )


export(EXPORT kColorPicker-targets
       FILE ${CMAKE_CURRENT_BINARY_DIR}/cmake/kColorPicker-Qt${QT_MAJOR_VERSION}-targets.cmake
       NAMESPACE kColorPicker::
       )

install(EXPORT kColorPicker-targets
        FILE kColorPicker-targets.cmake
        NAMESPACE kColorPicker::
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/kColorPicker-Qt${QT_MAJOR_VERSION}
        )
        
# uninstall target
if(NOT TARGET uninstall)
    configure_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
        "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
        IMMEDIATE @ONLY)

    add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

=== example/CMakeLists.txt ===


=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
         ${CMAKE_CURRENT_SOURCE_DIR}/buttons/AbstractPopupMenuButton.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/buttons/ColorButton.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/buttons/ColorDialogButton.cpp
+        ${CMAKE_CURRENT_SOURCE_DIR}/common/ScaledSizeProvider.cpp
         )
 
 set(KCOLORPICKER_SRCS ${KCOLORPICKER_SRCS} PARENT_SCOPE)

=== tests/CMakeLists.txt ===
set(UNITTEST_SRC
        buttons/ColorButtonTest.cpp
        )

add_library(KCOLORPICKER_STATIC STATIC ${KCOLORPICKER_SRCS})

target_link_libraries(KCOLORPICKER_STATIC Qt${QT_MAJOR_VERSION}::Widgets kColorPicker)

foreach (UnitTest ${UNITTEST_SRC})
    get_filename_component(UnitTestName ${UnitTest} NAME_WE)
    add_executable(${UnitTestName} ${UnitTest})
    target_link_libraries(${UnitTestName} KCOLORPICKER_STATIC Qt${QT_MAJOR_VERSION}::Test)
    add_test(${UnitTestName} ${UnitTestName})
endforeach (UnitTest)

=== debian/changelog ===
kcolorpicker (0.3.1-2) unstable; urgency=medium

  * Rebuild against GCC 15. (Closes: #1096918)
  * debian/control: Bump Standards-Version to 4.7.2.
  * debian/control: Move package description to the source package
    section.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Sep 2025 20:52:43 -0400

kcolorpicker (0.3.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 May 2024 14:25:54 -0400

kcolorpicker (0.3.1-1~exp2) experimental; urgency=medium

  * debian/control: Put package under Debian KDE Extras Team maintenance.
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Apr 2024 21:55:46 -0400

kcolorpicker (0.3.1-1~exp1) experimental; urgency=medium

  * New upstream release.
    + Support both Qt5 and Qt6.
  * debian/: Split packages:
    + libkcolorpicker-qt5-dev
    + libkcolorpicker-qt5-0
    + libkcolorpicker-qt6-dev
    + libkcolorpicker-qt6-0
  * debian/patches/0001-Make-Qt5-Qt6-library-coinstallable.patch:
    Add patch to adjust proposed library name changes to make library
    co-installable.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Mar 2024 15:03:25 -0400

=== debian/control ===
Source: kcolorpicker
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 qtbase5-dev,
 qt6-base-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/ksnip/kcolorpicker
Vcs-Git: https://salsa.debian.org/debian/kcolorpicker.git
Vcs-Browser: https://salsa.debian.org/debian/kcolorpicker
Description: QToolButton-like widget with color selection popup menu
 The kColorPicker library provides a QToolButton-like widget with color
 selection popup menu. This library is used by the ksnip project.

Package: libkcolorpicker-qt5-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libkcolorpicker-qt5-0 (= ${binary:Version}),
 ${misc:Depends},
Description: ${source:Synopsis} (Qt5 dev)
 ${source:Extended-Description}
 .
 This package provides the development files for Qt5.

Package: libkcolorpicker-qt5-0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (Qt5 lib)
 ${source:Extended-Description}
 .
 This package provides the shared library for Qt5.

Package: libkcolorpicker-qt6-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libkcolorpicker-qt6-0 (= ${binary:Version}),
 ${misc:Depends},
Description: ${source:Synopsis} (Qt6 dev)
 ${source:Extended-Description}
 .
 This package provides the development files for Qt6.

Package: libkcolorpicker-qt6-0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (Qt6 lib)
 ${source:Extended-Description}
 .
 This package provides the shared library for Qt6.

=== debian/rules ===
--- 
+++ 
@@ -12,16 +12,22 @@
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND =
 
-export QT_SELECT := 5
-
-
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
-	        -DBUILD_SHARED_LIBS=ON \
-	        $(NULL)
+	dh_auto_configure --builddirectory=qt5 -- -DBUILD_SHARED_LIBS=ON -DBUILD_WITH_QT6=OFF
+	dh_auto_configure --builddirectory=qt6 -- -DBUILD_SHARED_LIBS=ON -DBUILD_WITH_QT6=ON
 
-override_dh_strip:
-	dh_strip -a --no-automatic-dbgsym
+override_dh_auto_build:
+	dh_auto_build --builddirectory=qt5
+	dh_auto_build --builddirectory=qt6
+
+override_dh_auto_install:
+	dh_auto_install --builddirectory=qt5
+	dh_auto_install --builddirectory=qt6
+
+override_dh_auto_test:
+	dh_auto_test --builddirectory=qt5
+	dh_auto_test --builddirectory=qt6
+
